import { AnchorProvider, Idl, Program } from "@coral-xyz/anchor";
import { PublicKey } from "@solana/web3.js";
import { EmissionDistributor } from "@render-foundation/idls/lib/types/emission_distributor";
export * from "./constants";
export * from "./pdas";
export * from "./instructions";
export * from "./resolvers";
export declare const DistributionKind: {
    Foundation: {
        foundation: {};
    };
    BurnRewards: {
        burnRewards: {};
    };
};
export declare function init(provider: AnchorProvider, programId?: PublicKey, idl?: Idl | true): Promise<Program<EmissionDistributor>>;
//# sourceMappingURL=index.d.ts.map